Loading...
Searching...
No Matches
Opm::FieldPropsManager Class Reference

## Public Member Functions

| FieldPropsManager (const Deck &deck, const Phases &ph, EclipseGrid &grid, const TableManager &tables, const std::size_t ncomps=0)
virtual void | reset_actnum (const std::vector< int > &actnum)
void | deleteMINPVV ()
const std::string & | default_region () const
virtual std::vector< int > | actnum () const
virtual std::vector< double > | porv (bool global=false) const
void | apply_schedule_keywords (const std::vector< DeckKeyword > &keywords)
bool | is_usable () const
| Whether we can call methods on the manager.
std::size_t | active_size () const
bool | operator== (const FieldPropsManager &other) const
template<typename T>
std::vector< T > | get_copy (const std::string &keyword, bool global=false) const
template<typename T>
const std::vector< T > * | try_get (const std::string &keyword) const
template<typename T>
std::vector< bool > | defaulted (const std::string &keyword) const
template<typename T>
std::vector< std::string > | keys () const
virtual std::vector< std::string > | fip_regions () const
const Fieldprops::FieldData< int > & | get_int_field_data (const std::string &keyword) const
const Fieldprops::FieldData< double > & | get_double_field_data (const std::string &keyword, bool allow_unsupported=false) const
| Get double field data associated with a keyword.
virtual const std::vector< int > & | get_int (const std::string &keyword) const
virtual std::vector< int > | get_global_int (const std::string &keyword) const
virtual const std::vector< double > & | get_double (const std::string &keyword) const
virtual std::vector< double > | get_global_double (const std::string &keyword) const
virtual bool | has_int (const std::string &keyword) const
virtual bool | has_double (const std::string &keyword) const
virtual bool | tran_active (const std::string &keyword) const
virtual void | apply_tran (const std::string &keyword, std::vector< double > &tran_data) const
void | apply_tranz_global (const std::vector< std::size_t > &indices, std::vector< double > &data) const
| Apply TRANZ modifiers using global indices.
void | apply_numerical_aquifers (const NumericalAquifers &aquifers)
const std::unordered_map< std::string, Fieldprops::TranCalculator > & | getTran () const
void | prune_global_for_schedule_run ()
void | set_active_indices (const std::vector< int > &indices)

## Static Public Member Functions

static bool | rst_cmp (const FieldPropsManager &full_arg, const FieldPropsManager &rst_arg)
template<typename T>
static bool | supported (const std::string &keyword)

## Member Function Documentation

## apply_tranz_global()

void Opm::FieldPropsManager::apply_tranz_global | ( | const std::vector< std::size_t > & | indices,
|  | std::vector< double > & | data ) const

Apply TRANZ modifiers using global indices.

Needed for calculation transmissibility of NNCs over pinched out cells.

Parameters

  indices | The cartesian indices of the cells that contribute to the pinch out transmissibilities.
  data | Vector to apply tranz to

## get_double_field_data()

const Fieldprops::FieldData< double > & Opm::FieldPropsManager::get_double_field_data | ( | const std::string & | keyword,
|  | bool | allow_unsupported = false ) const

Get double field data associated with a keyword.

Parameters

  keyword | Keyword to obtain field data for
  allow_unsupported | If true we deactivate some checks on the keyword and thus allow getting FieldData used by the TranCalculator.

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Grid/FieldPropsManager.hpp
- opm/input/eclipse/EclipseState/Grid/FieldPropsManager.cpp